LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
LineBreakUserOptions Struct Referencepublished

Line break options passed in calls to XBreakIterator::getLineBreak(). More...

`import"LineBreakUserOptions.idl";`

## Public Attributes
string | forbiddenBeginCharacters
| Characters not allowed at the beginning of a line. More...
string | forbiddenEndCharacters
| Characters not allowed at the end of a line. More...
boolean | applyForbiddenRules
| If the forbidden characters rules are to be applied or not. More...
boolean | allowPunctuationOutsideMargin
| If punctuation characters are allowed at the end of the line if outside of the margins, resulting in a line not being wrapped if only the punctuation would wrap. More...
boolean | allowHyphenateEnglish
| Allow English hyphenation. More...

## Detailed Description

Line break options passed in calls to XBreakIterator::getLineBreak().

## Member Data Documentation

## ◆ allowHyphenateEnglish

boolean allowHyphenateEnglish

Allow English hyphenation.

## ◆ allowPunctuationOutsideMargin

boolean allowPunctuationOutsideMargin

If punctuation characters are allowed at the end of the line if outside of the margins, resulting in a line not being wrapped if only the punctuation would wrap.

## ◆ applyForbiddenRules

boolean applyForbiddenRules

If the forbidden characters rules are to be applied or not.

## ◆ forbiddenBeginCharacters

string forbiddenBeginCharacters

Characters not allowed at the beginning of a line.

## ◆ forbiddenEndCharacters

string forbiddenEndCharacters

Characters not allowed at the end of a line.

The documentation for this struct was generated from the following file:

- com/sun/star/i18n/LineBreakUserOptions.idl